.. _HostScsiDisk: ../../../vim/host/ScsiDisk.rst

.. _vSphere API 5.5: ../../../vim/version.rst#vimversionversion9

.. _vim.host.ScsiDisk: ../../../vim/host/ScsiDisk.rst

.. _vmodl.DynamicData: ../../../vmodl/DynamicData.rst

.. _VsanHostDiskMapping: ../../../vim/vsan/host/DiskMapping.rst

.. _VsanHostConfigInfoStorageInfo: ../../../vim/vsan/host/ConfigInfo/StorageInfo.rst


vim.vsan.host.DiskMapping
=========================
  A `VsanHostDiskMapping`_ is a set of one SSD `HostScsiDisk`_ backed by a set of one or more non-SSD `HostScsiDisk`_ . The maximum allowed `VsanHostDiskMapping`_ for a host is 5. A maximum set of 6 non-SSDs `HostScsiDisk`_ can be added to the one SSD `HostScsiDisk`_ .See `VsanHostConfigInfoStorageInfo`_ See vim.host.VsanSystem#initializeDisks(DiskMapping[])
:extends: vmodl.DynamicData_
:since: `vSphere API 5.5`_

Attributes:
    ssd (`vim.host.ScsiDisk`_):

       SSD ScsiDisk.
    nonSsd ([`vim.host.ScsiDisk`_]):

       Set of non-SSD backing ScsiDisk.
